#ifndef OXPACK_APP_INCLUDED
#define OXPACK_APP_INCLUDED

#include <database.h>
#include <modelbase.h>

/*-------------------------- OxPackApp : Modelbase ------------------------*/
class OxPackApp : Modelbase
{

	OxPackApp();                                            /* constructor */
	~OxPackApp();                                            /* constructor */
	Init();
	virtual GetPackageName();
	virtual GetPackageVersion();

	SendMenu(const sMenu);
	ReceiveMenuChoice(const sMenu);
	DoData();
	DoDescriptive();
	DoFormulateFile();
	virtual Estimate();
};
/*------------------------ END OxPackApp : Modelbase --------------------------*/

#endif /* OXPACK_APP_INCLUDED */
